﻿using System;
using System.Collections.Generic;

namespace N11_1.Models;

public partial class TbTeacher
{
    public int Id { get; set; }

    public string LastName { get; set; } = null!;

    public string FirstName { get; set; } = null!;

    public string? Patronymic { get; set; }

    public int IdGender { get; set; }

    public decimal WorkExperience { get; set; }

    public string Email { get; set; } = null!;

    public string Phone { get; set; } = null!;

    public DateTime DateOf { get; set; }

    public virtual TbGender IdGenderNavigation { get; set; } = null!;

    public virtual ICollection<TbTeachersCourse> TbTeachersCourses { get; set; } = new List<TbTeachersCourse>();

    public virtual ICollection<TbTeachersLesson> TbTeachersLessons { get; set; } = new List<TbTeachersLesson>();
}
