using System;
using System.Collections.Generic;
using N11_1.Models;
using ReactiveUI;
using N11_1.ViewModels;
using System.Linq;
using Microsoft.EntityFrameworkCore;

namespace N11_1.ViewModels
{
	public class VMTeacherDataListViewModel : ReactiveObject
	{
		List<TbTeacher> data = MainWindowViewModel.connection.TbTeachers.
			Include(tb => tb.IdGenderNavigation).
			Include(tb=> tb.TbTeachersCourses).ThenInclude(tb=>tb.IdCoursesNavigation).
			Include(tb => tb.TbTeachersLessons).ThenInclude(tb => tb.IdLessonNavigation).ToList();
        public List<TbTeacher> Data { get => data; set => this.RaiseAndSetIfChanged(ref data, value); }
    }
}